Bug 65047 - Sound skips and pops with ALSA sound
Sound skips and pops with ALSA sound
Product: Red Hat Linux
Classification: Retired
Component: chromium (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-05-16 14:40 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-23 16:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-16 14:40:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
Chromium runs fine as far as gameplay and graphics go when I use either the
OSS/Free drivers that come with RH7.3 or the ALSA0.90rc1 drivers. Bu the sound
does not work fine with ALSA0.90rc1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install the ALSA 0.90rc1 drivers
2. Run Chromium

Actual Results:  Sound pops and doesn't work well.

Expected Results:  Sound should work properly.

Additional info:

The reason that that I am using the ALSA0.90rc1 drivers at all is that the
OSS/Free drivers do not seem to properly support full duplex or even recording
at all on my laptop's i810+ac97 sound setup. The ALSA drivers seem to work for
me in gnomemeeting, xmms, MPlayer, and even Tux Racer. Chromium seems to be the
only problem. This suggests that the bug is in Chromium and not in ALSA. 

A workaround that seems to work is to make sure that no sound apps are running
and then unloading ALSA kernel modules and switching /etc/modules.conf to use
OSS/Free instead. Upon finishing the game of chromium, one can switch back the
same way to run ALSA again.

The sound hardware is an IBM X22 Thinkpad with an ICH3 soundchip with Cirrus
Logic CS4299 rev 6 ac97 codec.
Comment 1 Need Real Name 2002-05-23 16:03:33 EDT
To help debug this, I installed the ALSA drivers on one of my Dell P3 desktops
that has a Creative Soundblaster 16PCI sound card (es1371 drivers in OSS and
snd-ens1371 in ALSA). There are no skips or pops with either the OSS or ALSA
drivers in that case. 

So I suspect that the problem here is some more subtle thing having to do with
the combination of chromium, ALSA0.9rc1, and the laptop's hardware.
Comment 2 Ngo Than 2002-06-26 16:13:17 EDT
if you want to have alsa support in chromium you have to rebuild
chromium with -enable-alsa.

Red Hat does not support ALSA sound.

Note You need to log in before you can comment on or make changes to this bug.